# OSeMOSYS Global

[OSeMOSYS Global](https://www.nature.com/articles/s41597-022-01737-0) is an 
open-source, open-data model generator for creating
global energy system models. It can be used to create inter-connected energy
systems models for both the entire globe and for any geographically diverse
subset of the globe. Compared to other existing global models, OSeMOSYS Global
creates a full energy system representation, allows for full user flexibility
in determining the modelling detail and geographic scope, and is built using
the fully open-source [OSeMOSYS](https://osemosys.readthedocs.io/en/latest/)
energy system model.

### Useful Links

- [Documentation](https://osemosys-global.readthedocs.io/en/latest/)
- [Installation](https://osemosys-global.readthedocs.io/en/latest/installation.html)
- [Getting Started](https://osemosys-global.readthedocs.io/en/latest/getting-started.html)
- [Contributing](https://osemosys-global.readthedocs.io/en/latest/contributing.html)
- [Model Structure](https://osemosys-global.readthedocs.io/en/latest/model-structure.html)
- [License](https://osemosys-global.readthedocs.io/en/latest/license.html)
- [How to Cite OSeMOSYS Global](https://osemosys-global.readthedocs.io/en/latest/citing.html)

## Open-Source, Open-Data, Global Electricity System Models

OSeMOSYS Global allows the user to configure both the spatial resolution (up to 163 countries 
and 265 nodes) and the temporal resolution ! 

![OSeMOSYS Global](./docs/_static/osemosys-global.png "OSeMOSYS Global")
