# Welcome to the documentation of **OSeMOSYS Global**! 

![OSeMOSYS Global](_static/osemosys-global.png "OSeMOSYS Global")

OSeMOSYS Global is an open-source, open-data model generator for creating
global energy system models. It can be used to create inter-connected energy
systems models for both the entire globe and for any geographically diverse
subset of the globe. Compared to other existing global models, OSeMOSYS Global
creates a full energy system representation, allows for full user flexibility
in determining the modelling detail and geographic scope, and is built using
the fully open-source [OSeMOSYS](https://osemosys.readthedocs.io/en/latest/)
energy system model.

## Contents
```{toctree}
:maxdepth: 2

installation
getting-started
contributing
model-structure
advanced-functionality
license
changelog
citing
```

<!---
## Indices and tables

- {ref}`genindex`
- {ref}`modindex`
- {ref}`search`
-->

[autodoc]: https://www.sphinx-doc.org/en/master/ext/autodoc.html
[classical style]: https://www.sphinx-doc.org/en/master/domains.html#info-field-lists
[google style]: https://google.github.io/styleguide/pyguide.html#38-comments-and-docstrings
[matplotlib]: https://matplotlib.org/contents.html#
[numpy]: https://numpy.org/doc/stable
[numpy style]: https://numpydoc.readthedocs.io/en/latest/format.html
[pandas]: https://pandas.pydata.org/pandas-docs/stable
[python]: https://docs.python.org/
[python domain syntax]: https://www.sphinx-doc.org/en/master/usage/restructuredtext/domains.html#the-python-domain
[references]: https://www.sphinx-doc.org/en/stable/markup/inline.html
[restructuredtext]: https://www.sphinx-doc.org/en/master/usage/restructuredtext/basics.html
[scikit-learn]: https://scikit-learn.org/stable
[scipy]: https://docs.scipy.org/doc/scipy/reference/
[sphinx]: https://www.sphinx-doc.org/
[toctree]: https://www.sphinx-doc.org/en/master/usage/restructuredtext/directives.html
